#!/usr/bin/ruby

# sinewave generator

(amplitude, origin) = ARGV.map{|i| i.to_f};

sine = []

0.upto(255) do |i|
	sine[i] = (amplitude * Math.sin(i * Math::PI / 128) + origin).to_i
end

0.step(255, 16) do |i|
	puts "\t\t\tdb #{sine[i..i+15].join ', '}"
end